#!/usr/bin/env python

import micropython
import sys

def show(importer, with_builtins=0):
    for i, x in enumerate(importer.get_image(with_builtins=with_builtins)):
        print i, x

def attrs(obj):
    for name, attr in obj.items():
        print name, attr

i = micropython.Importer(sys.path, "-v" in sys.argv)
try:
    builtins = i.load_from_file("lib/builtins.py", "__builtins__")
    if len(sys.argv) < 2:
        m = i.load("micropython")
        #m = i.load_from_file("micropython/__init__.py")
    else:
        m = i.load_from_file(sys.argv[1])
except micropython.ProcessingError, exc:
    print repr(exc)
else:
    i.vacuum()
    ot = i.get_object_table()
    pt = i.get_parameter_table()

# vim: tabstop=4 expandtab shiftwidth=4
